Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sharin.doc.builder.xhtml1
Class ButtonElem

    java.lang.Object
      sharin.doc.builder.Elem
          sharin.doc.builder.GenericXmlElem<E>
              sharin.doc.builder.xhtml1.GenericCoreElem<E>
                  sharin.doc.builder.xhtml1.GenericCommonElem<ButtonElem>
                      sharin.doc.builder.xhtml1.ButtonElem

    public class ButtonElem

extends GenericCommonElem<ButtonElem>

Constructor Summary
`ButtonElem(Object... nodes)`

Method Summary
`ButtonElem` | `accesskey(Object value)`
`ButtonElem` | `disabled(boolean disabled)`
`ButtonElem` | `disabled(Object value)`
`ButtonElem` | `name(Object value)`
`ButtonElem` | `onblur(Object value)`
`ButtonElem` | `onfocus(Object value)`
`ButtonElem` | `tabindex(Object value)`
`ButtonElem` | `type(Object value)`
`ButtonElem` | `typeButton()`
`ButtonElem` | `typeReset()`
`ButtonElem` | `typeSubmit()`
`ButtonElem` | `value(Object value)`

Methods inherited from class sharin.doc.builder.xhtml1.GenericCommonElem
`dir, lang, onclick, ondblclick, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, xmllang`

Methods inherited from class sharin.doc.builder.xhtml1.GenericCoreElem
`clas, id, style, title`

Methods inherited from class sharin.doc.builder.GenericXmlElem
`_, attr, toString`

Methods inherited from class sharin.doc.builder.Elem
`getAttrList, getName, getNodeList, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ButtonElem

    public ButtonElem(Object... nodes)

Method Detail

### accesskey

    public ButtonElem accesskey(Object value)

### disabled

    public ButtonElem disabled(boolean disabled)

### disabled

    public ButtonElem disabled(Object value)

### name

    public ButtonElem name(Object value)

### onblur

    public ButtonElem onblur(Object value)

### onfocus

    public ButtonElem onfocus(Object value)

### tabindex

    public ButtonElem tabindex(Object value)

### type

    public ButtonElem type(Object value)

### typeButton

    public ButtonElem typeButton()

### typeReset

    public ButtonElem typeReset()

### typeSubmit

    public ButtonElem typeSubmit()

### value

    public ButtonElem value(Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SHU. All Rights Reserved.